> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# commercetools-config

> commercetools Config - manage stores, states, types, custom objects, subscriptions, and extensions

**Server path:** `/commercetools-config` | **Type:** Application | **PCID required:** Yes

## Tools

| Tool                                                                                                                                  | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`commercetools_config_create_custom_objects`](#commercetools_config_create_custom_objects)                                           | If an object with the given container/key exists, the object will be replaced with the new value and the version is incremented. If the request contains a version and an object with the given container/key, then the version must match the version of the existing object. Concurrent updates to the same Custom Object returns a ConcurrentModification error even if the version is not provided.  Fields within `value` that have `null` values **are not saved**. |
| [`commercetools_config_create_extensions`](#commercetools_config_create_extensions)                                                   | POST /extensions                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [`commercetools_config_create_states`](#commercetools_config_create_states)                                                           | POST /states                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`commercetools_config_create_stores`](#commercetools_config_create_stores)                                                           | POST /stores                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| [`commercetools_config_create_subscriptions`](#commercetools_config_create_subscriptions)                                             | A test notification is sent to ensure the correct configuration of the Destination. If the notification cannot be delivered, the Subscription will not be created. The payload of the test notification is of type ResourceCreated for the `resourceTypeId` `subscription`.                                                                                                                                                                                               |
| [`commercetools_config_create_types`](#commercetools_config_create_types)                                                             | POST /types                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_config_delete_custom_objects_by_container_and_key`](#commercetools_config_delete_custom_objects_by_container_and_key) | DELETE /custom-objects/\{container}/\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [`commercetools_config_delete_extensions_by_id`](#commercetools_config_delete_extensions_by_id)                                       | DELETE /extensions/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [`commercetools_config_delete_extensions_by_key`](#commercetools_config_delete_extensions_by_key)                                     | DELETE /extensions/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_config_delete_states_by_id`](#commercetools_config_delete_states_by_id)                                               | DELETE /states/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [`commercetools_config_delete_states_by_key`](#commercetools_config_delete_states_by_key)                                             | DELETE /states/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [`commercetools_config_delete_stores_by_id`](#commercetools_config_delete_stores_by_id)                                               | DELETE /stores/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| [`commercetools_config_delete_stores_by_key`](#commercetools_config_delete_stores_by_key)                                             | DELETE /stores/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [`commercetools_config_delete_subscriptions_by_id`](#commercetools_config_delete_subscriptions_by_id)                                 | DELETE /subscriptions/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_config_delete_subscriptions_by_key`](#commercetools_config_delete_subscriptions_by_key)                               | DELETE /subscriptions/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [`commercetools_config_delete_types_by_id`](#commercetools_config_delete_types_by_id)                                                 | DELETE /types/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| [`commercetools_config_delete_types_by_key`](#commercetools_config_delete_types_by_key)                                               | DELETE /types/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [`commercetools_config_get_custom_objects_by_container`](#commercetools_config_get_custom_objects_by_container)                       | GET /custom-objects/\{container}                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [`commercetools_config_get_custom_objects_by_container_and_key`](#commercetools_config_get_custom_objects_by_container_and_key)       | GET /custom-objects/\{container}/\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_config_get_extensions_by_id`](#commercetools_config_get_extensions_by_id)                                             | GET /extensions/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| [`commercetools_config_get_extensions_by_key`](#commercetools_config_get_extensions_by_key)                                           | GET /extensions/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [`commercetools_config_get_states_by_id`](#commercetools_config_get_states_by_id)                                                     | GET /states/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_config_get_states_by_key`](#commercetools_config_get_states_by_key)                                                   | GET /states/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`commercetools_config_get_stores_by_id`](#commercetools_config_get_stores_by_id)                                                     | GET /stores/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_config_get_stores_by_key`](#commercetools_config_get_stores_by_key)                                                   | GET /stores/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`commercetools_config_get_subscriptions_by_id`](#commercetools_config_get_subscriptions_by_id)                                       | GET /subscriptions/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| [`commercetools_config_get_subscriptions_by_key`](#commercetools_config_get_subscriptions_by_key)                                     | GET /subscriptions/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| [`commercetools_config_get_types_by_id`](#commercetools_config_get_types_by_id)                                                       | GET /types/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
| [`commercetools_config_get_types_by_key`](#commercetools_config_get_types_by_key)                                                     | GET /types/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| [`commercetools_config_list_custom_objects`](#commercetools_config_list_custom_objects)                                               | For performance reasons, it is highly advisable to query for Custom Objects in a container by using the `container` field in the `where` predicate.  This endpoint is deprecated and replaced by the Query CustomObjects in Container endpoint.                                                                                                                                                                                                                           |
| [`commercetools_config_list_extensions`](#commercetools_config_list_extensions)                                                       | GET /extensions                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| [`commercetools_config_list_states`](#commercetools_config_list_states)                                                               | GET /states                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_config_list_stores`](#commercetools_config_list_stores)                                                               | GET /stores                                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_config_list_subscriptions`](#commercetools_config_list_subscriptions)                                                 | GET /subscriptions                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [`commercetools_config_list_subscriptions_health_by_id`](#commercetools_config_list_subscriptions_health_by_id)                       | This endpoint can be polled by a monitoring or alerting system that checks the health of your Subscriptions. To ease integration with such systems this endpoint does not require Authorization.                                                                                                                                                                                                                                                                          |
| [`commercetools_config_list_types`](#commercetools_config_list_types)                                                                 | GET /types                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| [`commercetools_config_update_extensions_by_id`](#commercetools_config_update_extensions_by_id)                                       | POST /extensions/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| [`commercetools_config_update_extensions_by_key`](#commercetools_config_update_extensions_by_key)                                     | POST /extensions/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                               |
| [`commercetools_config_update_states_by_id`](#commercetools_config_update_states_by_id)                                               | POST /states/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [`commercetools_config_update_states_by_key`](#commercetools_config_update_states_by_key)                                             | POST /states/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_config_update_stores_by_id`](#commercetools_config_update_stores_by_id)                                               | POST /stores/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                        |
| [`commercetools_config_update_stores_by_key`](#commercetools_config_update_stores_by_key)                                             | POST /stores/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [`commercetools_config_update_subscriptions_by_id`](#commercetools_config_update_subscriptions_by_id)                                 | POST /subscriptions/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| [`commercetools_config_update_subscriptions_by_key`](#commercetools_config_update_subscriptions_by_key)                               | POST /subscriptions/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| [`commercetools_config_update_types_by_id`](#commercetools_config_update_types_by_id)                                                 | POST /types/\{ID}                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| [`commercetools_config_update_types_by_key`](#commercetools_config_update_types_by_key)                                               | POST /types/key=\{key}                                                                                                                                                                                                                                                                                                                                                                                                                                                    |

***

## commercetools\_config\_create\_custom\_objects

If an object with the given container/key exists, the object will be replaced with the new value and the version is incremented. If the request contains a version and an object with the given container/key, then the version must match the version of the existing object. Concurrent updates to the same Custom Object returns a ConcurrentModification error even if the version is not provided.  Fields within `value` that have `null` values **are not saved**.

**Parameters:**

| Parameter   | Type      | Required | Default | Description                        |
| ----------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline |
| `container` | string    | Yes      | —       | The container value                |
| `key`       | string    | Yes      | —       | The key value                      |
| `value`     | object    | Yes      | —       | The value value                    |
| `version`   | integer   | No       | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "container": {
        "type": "string",
        "description": "The container value"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "value": {
        "description": "The value value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "container",
      "key",
      "value"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_create\_extensions

POST /extensions

**Parameters:**

| Parameter     | Type      | Required | Default | Description           |
| ------------- | --------- | -------- | ------- | --------------------- |
| `destination` | object    | Yes      | —       | The destination value |
| `key`         | string    | No       | —       | The key value         |
| `timeoutInMs` | integer   | No       | —       | Timeout In Ms         |
| `triggers`    | object\[] | Yes      | —       | The triggers value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "destination": {
        "type": "object",
        "description": "The destination value",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "timeoutInMs": {
        "type": "integer",
        "description": "Timeout In Ms"
      },
      "triggers": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "resourceTypeId": {
              "type": "string",
              "enum": [
                "cart",
                "order",
                "payment",
                "payment-method",
                "customer",
                "customer-group",
                "quote-request",
                "staged-quote",
                "quote",
                "business-unit",
                "shopping-list"
              ],
              "description": "Resource Type Id"
            },
            "actions": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The actions value"
            },
            "condition": {
              "type": "string",
              "description": "The condition value"
            }
          },
          "required": [
            "actions",
            "resourceTypeId"
          ]
        },
        "description": "The triggers value"
      }
    },
    "required": [
      "PCID",
      "destination",
      "triggers"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_create\_states

POST /states

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |
| `description` | object    | No       | —       | The description value              |
| `initial`     | boolean   | No       | —       | The initial value                  |
| `key`         | string    | Yes      | —       | The key value                      |
| `name`        | object    | No       | —       | The name value                     |
| `roles`       | string\[] | No       | —       | The roles value                    |
| `transitions` | any\[]    | No       | —       | The transitions value              |
| `type`        | string    | Yes      | —       | The type value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "initial": {
        "type": "boolean",
        "description": "The initial value"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "roles": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "ReviewIncludedInStatistics",
            "Return"
          ]
        },
        "description": "The roles value"
      },
      "transitions": {
        "type": "array",
        "description": "The transitions value"
      },
      "type": {
        "type": "string",
        "description": "The type value",
        "enum": [
          "OrderState",
          "RecurringOrderState",
          "LineItemState",
          "ProductState",
          "ReviewState",
          "PaymentState",
          "QuoteRequestState",
          "StagedQuoteState",
          "QuoteState"
        ]
      }
    },
    "required": [
      "PCID",
      "key",
      "type"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_create\_stores

POST /stores

**Parameters:**

| Parameter              | Type      | Required | Default | Description                        |
| ---------------------- | --------- | -------- | ------- | ---------------------------------- |
| `expand`               | string\[] | No       | —       | Related resources to expand inline |
| `countries`            | object\[] | No       | —       | The countries value                |
| `custom`               | object    | No       | —       | The custom value                   |
| `distributionChannels` | any\[]    | No       | —       | Distribution Channels              |
| `key`                  | string    | Yes      | —       | The key value                      |
| `languages`            | string\[] | No       | —       | The languages value                |
| `name`                 | object    | No       | —       | The name value                     |
| `productSelections`    | object\[] | No       | —       | Product Selections                 |
| `supplyChannels`       | any\[]    | No       | —       | Supply Channels                    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "countries": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "code": {
              "type": "string",
              "description": "The code value"
            }
          },
          "required": [
            "code"
          ]
        },
        "description": "The countries value"
      },
      "custom": {
        "type": "object",
        "description": "The custom value",
        "properties": {
          "type": {
            "description": "The type value"
          },
          "fields": {
            "type": "object",
            "description": "The fields value"
          }
        },
        "required": [
          "type"
        ]
      },
      "distributionChannels": {
        "type": "array",
        "description": "Distribution Channels"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "languages": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The languages value"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "productSelections": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "productSelection": {
              "description": "Product Selection"
            },
            "active": {
              "type": "boolean",
              "description": "The active value"
            }
          },
          "required": [
            "productSelection"
          ]
        },
        "description": "Product Selections"
      },
      "supplyChannels": {
        "type": "array",
        "description": "Supply Channels"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_create\_subscriptions

A test notification is sent to ensure the correct configuration of the Destination. If the notification cannot be delivered, the Subscription will not be created. The payload of the test notification is of type ResourceCreated for the `resourceTypeId` `subscription`.

**Parameters:**

| Parameter     | Type      | Required | Default | Description           |
| ------------- | --------- | -------- | ------- | --------------------- |
| `changes`     | object\[] | No       | —       | The changes value     |
| `destination` | object    | Yes      | —       | The destination value |
| `events`      | object\[] | No       | —       | The events value      |
| `format`      | object    | No       | —       | The format value      |
| `key`         | string    | No       | —       | The key value         |
| `messages`    | object\[] | No       | —       | The messages value    |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "changes": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "resourceTypeId": {
              "type": "string",
              "enum": [
                "approval-flow",
                "approval-rule",
                "associate-role",
                "attribute-group",
                "business-unit",
                "cart",
                "cart-discount",
                "category",
                "channel",
                "customer",
                "customer-email-token",
                "customer-group",
                "customer-password-token",
                "discount-code",
                "discount-group",
                "extension",
                "inventory-entry",
                "key-value-document",
                "order",
                "order-edit",
                "payment",
                "product",
                "product-discount",
                "product-selection",
                "product-tailoring",
                "product-type",
                "quote",
                "quote-request",
                "recurrence-policy",
                "recurring-order",
                "review",
                "shipping-method",
                "shopping-list",
                "staged-quote",
                "standalone-price",
                "state",
                "store",
                "subscription",
                "tax-category",
                "type",
                "zone"
              ],
              "description": "Resource Type Id"
            }
          },
          "required": [
            "resourceTypeId"
          ]
        },
        "description": "The changes value"
      },
      "destination": {
        "type": "object",
        "description": "The destination value",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      },
      "events": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "resourceTypeId": {
              "type": "string",
              "enum": [
                "checkout",
                "import-api"
              ],
              "description": "Resource Type Id"
            },
            "types": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The types value"
            }
          },
          "required": [
            "resourceTypeId"
          ]
        },
        "description": "The events value"
      },
      "format": {
        "type": "object",
        "description": "The format value",
        "properties": {
          "type": {
            "type": "string",
            "description": "The type value"
          }
        },
        "required": [
          "type"
        ]
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "messages": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "resourceTypeId": {
              "type": "string",
              "enum": [
                "approval-flow",
                "approval-rule",
                "associate-role",
                "business-unit",
                "category",
                "customer",
                "customer-email-token",
                "customer-group",
                "customer-password-token",
                "inventory-entry",
                "order",
                "payment",
                "product",
                "product-selection",
                "product-tailoring",
                "quote",
                "quote-request",
                "review",
                "shopping-list",
                "staged-quote",
                "standalone-price",
                "store"
              ],
              "description": "Resource Type Id"
            },
            "types": {
              "type": "array",
              "items": {
                "type": "string"
              },
              "description": "The types value"
            }
          },
          "required": [
            "resourceTypeId"
          ]
        },
        "description": "The messages value"
      }
    },
    "required": [
      "PCID",
      "destination"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_create\_types

POST /types

**Parameters:**

| Parameter          | Type      | Required | Default | Description                        |
| ------------------ | --------- | -------- | ------- | ---------------------------------- |
| `expand`           | string\[] | No       | —       | Related resources to expand inline |
| `description`      | object    | No       | —       | The description value              |
| `fieldDefinitions` | object\[] | No       | —       | Field Definitions                  |
| `key`              | string    | Yes      | —       | The key value                      |
| `name`             | object    | Yes      | —       | The name value                     |
| `resourceTypeIds`  | string\[] | Yes      | —       | Resource Type Ids                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "description": {
        "type": "object",
        "description": "The description value"
      },
      "fieldDefinitions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "type": {
              "type": "object",
              "description": "The type value"
            },
            "name": {
              "type": "string",
              "description": "The name value"
            },
            "label": {
              "type": "object",
              "description": "The label value"
            },
            "required": {
              "type": "boolean",
              "description": "The required value"
            },
            "inputHint": {
              "type": "string",
              "enum": [
                "SingleLine",
                "MultiLine"
              ],
              "description": "Input Hint"
            }
          },
          "required": [
            "label",
            "name",
            "required",
            "type"
          ]
        },
        "description": "Field Definitions"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "name": {
        "type": "object",
        "description": "The name value"
      },
      "resourceTypeIds": {
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "address",
            "asset",
            "approval-flow",
            "approval-rule",
            "associate-role",
            "business-unit",
            "cart-discount",
            "category",
            "channel",
            "customer",
            "customer-group",
            "custom-line-item",
            "discount-code",
            "inventory-entry",
            "line-item",
            "order",
            "order-edit",
            "order-delivery",
            "order-parcel",
            "order-return-item",
            "payment",
            "payment-interface-interaction",
            "payment-method",
            "payment-method-info",
            "product-price",
            "product-selection",
            "product-tailoring",
            "quote",
            "review",
            "recurring-order",
            "shipping",
            "shipping-method",
            "shopping-list",
            "shopping-list-text-line-item",
            "standalone-price",
            "store",
            "transaction"
          ]
        },
        "description": "Resource Type Ids"
      }
    },
    "required": [
      "PCID",
      "key",
      "name",
      "resourceTypeIds"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_custom\_objects\_by\_container\_and\_key

DELETE /custom-objects/\{container}/\{key}

**Parameters:**

| Parameter     | Type      | Required | Default | Description                        |
| ------------- | --------- | -------- | ------- | ---------------------------------- |
| `container`   | string    | Yes      | —       | The container value                |
| `key`         | string    | Yes      | —       | The key value                      |
| `version`     | integer   | No       | —       | The version value                  |
| `expand`      | string\[] | No       | —       | Related resources to expand inline |
| `dataErasure` | boolean   | No       | —       | Data Erasure                       |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "container": {
        "type": "string",
        "description": "The container value"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "dataErasure": {
        "type": "boolean",
        "description": "Data Erasure"
      }
    },
    "required": [
      "PCID",
      "container",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_extensions\_by\_id

DELETE /extensions/\{ID}

**Parameters:**

| Parameter | Type    | Required | Default | Description       |
| --------- | ------- | -------- | ------- | ----------------- |
| `ID`      | string  | Yes      | —       | The id value      |
| `version` | integer | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_extensions\_by\_key

DELETE /extensions/key=\{key}

**Parameters:**

| Parameter | Type    | Required | Default | Description       |
| --------- | ------- | -------- | ------- | ----------------- |
| `key`     | string  | Yes      | —       | The key value     |
| `version` | integer | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_states\_by\_id

DELETE /states/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_states\_by\_key

DELETE /states/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_stores\_by\_id

DELETE /stores/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_stores\_by\_key

DELETE /stores/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_subscriptions\_by\_id

DELETE /subscriptions/\{ID}

**Parameters:**

| Parameter | Type    | Required | Default | Description       |
| --------- | ------- | -------- | ------- | ----------------- |
| `ID`      | string  | Yes      | —       | The id value      |
| `version` | integer | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_subscriptions\_by\_key

DELETE /subscriptions/key=\{key}

**Parameters:**

| Parameter | Type    | Required | Default | Description       |
| --------- | ------- | -------- | ------- | ----------------- |
| `key`     | string  | Yes      | —       | The key value     |
| `version` | integer | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_types\_by\_id

DELETE /types/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_delete\_types\_by\_key

DELETE /types/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `version` | integer   | Yes      | —       | The version value                  |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_custom\_objects\_by\_container

GET /custom-objects/\{container}

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `container` | string    | Yes      | —       | The container value                 |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `where`     | string\[] | No       | —       | The where value                     |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "container": {
        "type": "string",
        "description": "The container value"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      }
    },
    "required": [
      "PCID",
      "container"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_custom\_objects\_by\_container\_and\_key

GET /custom-objects/\{container}/\{key}

**Parameters:**

| Parameter   | Type      | Required | Default | Description                        |
| ----------- | --------- | -------- | ------- | ---------------------------------- |
| `container` | string    | Yes      | —       | The container value                |
| `key`       | string    | Yes      | —       | The key value                      |
| `expand`    | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "container": {
        "type": "string",
        "description": "The container value"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "container",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_extensions\_by\_id

GET /extensions/\{ID}

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `ID`      | string | Yes      | —       | The id value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_extensions\_by\_key

GET /extensions/key=\{key}

**Parameters:**

| Parameter | Type   | Required | Default | Description   |
| --------- | ------ | -------- | ------- | ------------- |
| `key`     | string | Yes      | —       | The key value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_states\_by\_id

GET /states/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_states\_by\_key

GET /states/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_stores\_by\_id

GET /stores/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_stores\_by\_key

GET /stores/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_subscriptions\_by\_id

GET /subscriptions/\{ID}

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `ID`      | string | Yes      | —       | The id value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_subscriptions\_by\_key

GET /subscriptions/key=\{key}

**Parameters:**

| Parameter | Type   | Required | Default | Description   |
| --------- | ------ | -------- | ------- | ------------- |
| `key`     | string | Yes      | —       | The key value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_types\_by\_id

GET /types/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_get\_types\_by\_key

GET /types/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      }
    },
    "required": [
      "PCID",
      "key"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_custom\_objects

For performance reasons, it is highly advisable to query for Custom Objects in a container by using the `container` field in the `where` predicate.  This endpoint is deprecated and replaced by the Query CustomObjects in Container endpoint.

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_extensions

GET /extensions

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_states

GET /states

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_stores

GET /stores

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_subscriptions

GET /subscriptions

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_subscriptions\_health\_by\_id

This endpoint can be polled by a monitoring or alerting system that checks the health of your Subscriptions. To ease integration with such systems this endpoint does not require Authorization.

**Parameters:**

| Parameter | Type   | Required | Default | Description  |
| --------- | ------ | -------- | ------- | ------------ |
| `ID`      | string | Yes      | —       | The id value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      }
    },
    "required": [
      "PCID",
      "ID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_list\_types

GET /types

**Parameters:**

| Parameter   | Type      | Required | Default | Description                         |
| ----------- | --------- | -------- | ------- | ----------------------------------- |
| `expand`    | string\[] | No       | —       | Related resources to expand inline  |
| `sort`      | string\[] | No       | —       | Sort order for results              |
| `limit`     | integer   | No       | —       | Maximum number of results to return |
| `offset`    | integer   | No       | —       | The offset value                    |
| `withTotal` | boolean   | No       | —       | With Total                          |
| `where`     | string\[] | No       | —       | The where value                     |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "sort": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Sort order for results"
      },
      "limit": {
        "type": "integer",
        "description": "Maximum number of results to return"
      },
      "offset": {
        "type": "integer",
        "description": "The offset value"
      },
      "withTotal": {
        "type": "boolean",
        "description": "With Total"
      },
      "where": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "The where value"
      }
    },
    "required": [
      "PCID"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_extensions\_by\_id

POST /extensions/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description       |
| --------- | --------- | -------- | ------- | ----------------- |
| `ID`      | string    | Yes      | —       | The id value      |
| `actions` | object\[] | Yes      | —       | The actions value |
| `version` | integer   | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_extensions\_by\_key

POST /extensions/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description       |
| --------- | --------- | -------- | ------- | ----------------- |
| `key`     | string    | Yes      | —       | The key value     |
| `actions` | object\[] | Yes      | —       | The actions value |
| `version` | integer   | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_states\_by\_id

POST /states/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_states\_by\_key

POST /states/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_stores\_by\_id

POST /stores/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_stores\_by\_key

POST /stores/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_subscriptions\_by\_id

POST /subscriptions/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description       |
| --------- | --------- | -------- | ------- | ----------------- |
| `ID`      | string    | Yes      | —       | The id value      |
| `actions` | object\[] | Yes      | —       | The actions value |
| `version` | integer   | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_subscriptions\_by\_key

POST /subscriptions/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description       |
| --------- | --------- | -------- | ------- | ----------------- |
| `key`     | string    | Yes      | —       | The key value     |
| `actions` | object\[] | Yes      | —       | The actions value |
| `version` | integer   | Yes      | —       | The version value |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "key",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_types\_by\_id

POST /types/\{ID}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `ID`      | string    | Yes      | —       | The id value                       |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "ID": {
        "type": "string",
        "description": "The id value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
            }
          },
          "required": [
            "action"
          ]
        },
        "description": "The actions value"
      },
      "version": {
        "type": "integer",
        "description": "The version value"
      }
    },
    "required": [
      "PCID",
      "ID",
      "actions",
      "version"
    ]
  }
  ```
</Expandable>

***

## commercetools\_config\_update\_types\_by\_key

POST /types/key=\{key}

**Parameters:**

| Parameter | Type      | Required | Default | Description                        |
| --------- | --------- | -------- | ------- | ---------------------------------- |
| `key`     | string    | Yes      | —       | The key value                      |
| `expand`  | string\[] | No       | —       | Related resources to expand inline |
| `actions` | object\[] | Yes      | —       | The actions value                  |
| `version` | integer   | Yes      | —       | The version value                  |

<Expandable title="inputSchema">
  ```json theme={null}
  {
    "type": "object",
    "properties": {
      "PCID": {
        "type": "string",
        "description": "Pink Connect ID for the authenticated connection"
      },
      "key": {
        "type": "string",
        "description": "The key value"
      },
      "expand": {
        "type": "array",
        "items": {
          "type": "string"
        },
        "description": "Related resources to expand inline"
      },
      "actions": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "action": {
              "type": "string",
              "description": "The action value"
[...]
